<?php
/**
 * Import & Export LLMS Content
 *
 * @since 3.3.0
 * @since 3.35.0 Moved from frontend templates directory.
 *                  Added field.
 * @version 3.35.0
 */

defined( 'ABSPATH' ) || exit;

?>

<div class="wrap lifterlms llms-import-export">

	<h1><?php _e( 'LifterLMS Importer', 'lifterlms' ); ?></h1>

	<div class="llms-options-page-contents llms-widget">

		<form action="" enctype="multipart/form-data" method="POST">

			<table class="form-table">

				<tr>
					<th><label><?php _e( 'Import Course(s)', 'lifterlms' ); ?></label></th>
					<td>
						<input accept="application/json" class="widefat" name="llms_import" type="file">
						<p><em><?php _e( 'Upload export files generated by LifterLMS. Must be a ".json" file.', 'lifterlms' ); ?></em></p>
						<br>
						<button class="llms-button-primary small" type="submit"><?php _e( 'Import', 'lifterlms' ); ?></button>
					</td>
				</tr>

				<?php
					/**
					 * Fires after core importer(s) on the "Import screen".
					 *
					 * Allows 3rd parties to add their own importers to the table.
					 *
					 * @since 3.3.0
					 */
					do_action( 'lifterlms_importer_tr' );
				?>

			</table>

			<?php wp_nonce_field( 'llms-importer', 'llms_importer_nonce' ); ?>

		</form>

	</div>

</div>
